<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'local_rwth_sd_sync', language 'en'.
 *
 * @package   local_rwth_sd_sync based on enrol_database
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

$string['dbencoding'] = 'Database encoding';
$string['dbhost'] = 'Database host';
$string['dbhost_desc'] = 'Type database server IP address or host name. Use a system DSN name if using ODBC. Use a PDO DSN if using PDO.';
$string['dbname'] = 'Database name';
$string['dbname_desc'] = 'Leave empty if using a DSN name in database host.';
$string['dbpass'] = 'Database password';
$string['dbsetupsql'] = 'Database setup command';
$string['dbsetupsql_desc'] = 'SQL command for special database setup, often used to setup communication encoding - example for MySQL and PostgreSQL: <em>SET NAMES \'utf8\'</em>';
$string['dbsybasequoting'] = 'Use sybase quotes';
$string['dbsybasequoting_desc'] = 'Sybase style single quote escaping - needed for Oracle, MS SQL and some other databases. Do not use for MySQL!';
$string['dbtype'] = 'Database driver';
$string['dbtype_desc'] = 'ADOdb database driver name, type of the external database engine.';
$string['dbuser'] = 'Database user';
$string['debugdb'] = 'Debug ADOdb';
$string['debugdb_desc'] = 'Debug ADOdb connection to external database - use when getting empty page during login. Not suitable for production sites!';
$string['defaultcategory'] = 'Default new course category';
$string['defaultcategory_desc'] = 'The default category for auto-created courses. Used when no new category id specified or not found.';
$string['defaultrole'] = 'Default role';
$string['defaultrole_desc'] = 'The role that will be assigned by default if no other role is specified in external table.';
$string['ignorehiddencourses'] = 'Ignore hidden courses';
$string['ignorehiddencourses_desc'] = 'If enabled users will not be enrolled on courses that are set to be unavailable to students.';
$string['localcategoryfield'] = 'Local category field';
$string['localcoursefield'] = 'Local course field';
$string['localrolefield'] = 'Local role field';
$string['localuserfield'] = 'Local user field';
$string['newcoursetable'] = 'Remote new courses table';
$string['newcoursetable_desc'] = 'Specify of the name of the table that contains list of courses that should be created automatically. Empty means no courses are created.';
$string['newcoursecategory'] = 'New course category field';
$string['newcoursecustomfields'] = 'New course custom fields';
$string['newcoursecustomfields_desc'] = "Mapping of custom fields to columns in the remote DB. One mapping per line. Values separated by colons. First comes the custom field shortname, then either the column name in the remote courses table or a static value enclosed in double quotes (\"). See format below:<pre>moodle_custom_course_field_1_shortname:column_name_1_in_remote_DB\nmoodle_custom_course_field_2_shortname:column_name_2_in_remote_DB\nmoodle_custom_course_field_3_shortname:\"static_value\"</pre> <strong>Note:</strong> With dropdown fields, the display text of the entry has to be provided, not the numerical index (i.e. the value, not the key).";
$string['newcoursefullname'] = 'New course full name field';
$string['newcourseidnumber'] = 'New course ID number field';
$string['newcoursedescription'] = 'New course summary field';
$string['newcourseshortname'] = 'New course short name field';
$string['newcoursestartdate'] = 'New course start date field';
$string['newcourseenddate'] = 'New course end date field';
$string['newcoursemoodleinternalid'] = 'New course Moodle internal ID field';
$string['newcoursemoodleinternalid_desc'] = 'This is the field in the remote courses table into which we write the Moodle itnernal ID of the course. This e.g. allows someone with access to the SiteDirectory to build an URL to a Moodle course.';
$string['pluginname'] = 'RWTH Sitedirectory synchronisation';
$string['pluginname_desc'] = 'You can use an external database (of nearly any kind) to control your enrolments. It is assumed your external database contains at least a field containing a course ID, and a field containing a user ID. These are compared against fields that you choose in the local course and user tables.';
$string['remotecoursefield'] = 'Remote course field';
$string['remotecoursefield_desc'] = 'The name of the field in the remote table that we are using to match entries in the course table.';
$string['remoteenroltable'] = 'Remote user enrolment table';
$string['remoteenroltable_desc'] = 'Specify the name of the table that contains list of user enrolments. Empty means no user enrolment sync.';
$string['remoteotheruserfield'] = 'Remote Other User field';
$string['remoteotheruserfield_desc'] = 'The name of the field in the remote table that we are using to flag "Other User" role assignments.';
$string['remoterolefield'] = 'Remote role field';
$string['remoterolefield_desc'] = 'The name of the field in the remote table that we are using to match entries in the roles table.';
$string['remoteuserfield'] = 'Remote user field';
$string['settingsheaderdb'] = 'External database connection';
$string['settingsheaderlocal'] = 'Local field mapping';
$string['settingsheaderremote'] = 'Remote enrolment sync';
$string['settingsheadernewcourses'] = 'Creation of new courses';
$string['remoteuserfield_desc'] = 'The name of the field in the remote table that we are using to match entries in the user table.';
$string['templatecourse'] = 'New course template';
$string['templatecourse_desc'] = 'Optional: auto-created courses can copy their settings from a template course. Type here the shortname of the template course.';
$string['settingsheadergroup'] = 'Remote group sync';
$string['grouptable'] = 'Group table name';
$string['group-course-field'] = 'Group table course field';
$string['group-id-field'] = 'Group table ID field';
$string['group-name-field'] = 'Group table name field';
$string['group-participants-table'] = 'Group participants table';
$string['group-participants-groupid-field'] = 'Group participants table group ID field';
$string['group-participants-username-field'] = 'Group participants table username field';
$string['settingsheaderappointment'] = 'Remote appointment sync';
$string['courseappointmenttable'] = 'Course appointment table name';
$string['courseappointmentcoursefield'] = 'Course appointment table course field';
$string['courseappointmentroomfield'] = 'Course appointment table room field';
$string['courseappointmentlocationfield'] = 'Course appointment table location field';
$string['courseappointmentstartfield'] = 'Course appointment table start date field';
$string['courseappointmentendfield'] = 'Course appointment table end date field';
$string['courseappointmentkeywordfield'] = 'Course appointment table keyword field';
$string['courseappointmentronidfield'] = 'Course appointment table RON ID field';
$string['courseappointmentsubjectfield'] = 'Course appointment table Subject field (ie gives details on appointment) (may be empty)';
$string['groupappointmenttable'] = 'Group appointment table name';
$string['groupappointmentgroupidfield'] = 'Group appointment table group ID field';
$string['groupappointmentroomfield'] = 'Group appointment table room field';
$string['groupappointmentlocationfield'] = 'Group appointment table location field';
$string['groupappointmentstartfield'] = 'Group appointment table start date field';
$string['groupappointmentendfield'] = 'Group appointment table end date field';
$string['groupappointmentkeywordfield'] = 'Group appointment table keyword field';
$string['groupappointmentronidfield'] = 'Group appointment table RON ID field';
$string['groupappointmentsubjectfield'] = 'Group appointment table Subject field (ie gives details on appointment) (may be empty)';
$string['settingsheaderlogging'] = 'Logging';
$string['verboselogging'] = 'Verbose logging';
$string['verboselogging_desc'] = 'Log more information during syncs.';
$string['debugging'] = 'Debugging';
$string['debugging_desc'] = 'Turns up debugging through $CFG->debug to DEVELOPER.';
$string['courseidwriteback'] = 'Moodle Course ID writeback';
$string['courseidwriteback_desc'] = 'When the sync creates courses in Moodle, whether their IDs should be written to the Sitedirectory. This is necessary for RWTHonline to be able to display links to Moodle courses on the corresponding learning room pages. In some circumstances it might make sense to disable this, e.g. when using a shared Sitedirectory.';
$string['generalsettings'] = 'RWTH Sitedirectory synchronisation';
$string['course_event_synchronization_failed'] = 'Course event synchronization failed';
$string['group_event_synchronization_failed'] = 'Group event synchronization failed';
$string['synced_event_deleted'] = 'Synchronized event has been deleted (this shouldn\'t happen)';
$string['privacy:metadata'] = 'This plugin only synchronizes data from an external DB into Moodle.';

$string['in_rwthonline_postfix'] = '(in RWTHonline)';
$string['rwthonline_event_tooltip_drag'] = '<i class="fa fa-ban" aria-hidden="true"></i> Event can only be<br />edited in RWTHonline.';
$string['rwthonline_icon_alt'] = 'RWTHonline event';
$string['course'] = 'RWTHonline course event';
$string['group'] = 'RWTHonline group event';
$string['rwthonline_event_help'] = 'This date is automatically synchronized from RWTHonline. Editing or deleting has to be done there. All changes made in RWTHonline will be synchronized to RWTHmoodle every 15 minutes.';
$string['synctask'] = 'Sync courses, groups and appointments';
